IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
2001:db8:0:b200::/56- First address
2001:db8:0:b200::- Last address
2001:db8:0:b2ff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
2001:0db8:0000:b200:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
2.b.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:b200::/56 makes 256 subnets of /64.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:b200::/64 | 2001:db8:0:b200:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:0:b201::/64 | 2001:db8:0:b201:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:0:b202::/64 | 2001:db8:0:b202:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:0:b203::/64 | 2001:db8:0:b203:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:0:b204::/64 | 2001:db8:0:b204:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:0:b205::/64 | 2001:db8:0:b205:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:0:b206::/64 | 2001:db8:0:b206:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:0:b207::/64 | 2001:db8:0:b207:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:0:b208::/64 | 2001:db8:0:b208:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:0:b209::/64 | 2001:db8:0:b209:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:0:b20a::/64 | 2001:db8:0:b20a:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:0:b20b::/64 | 2001:db8:0:b20b:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:0:b20c::/64 | 2001:db8:0:b20c:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:0:b20d::/64 | 2001:db8:0:b20d:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:0:b20e::/64 | 2001:db8:0:b20e:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:0:b20f::/64 | 2001:db8:0:b20f:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:0:b210::/64 | 2001:db8:0:b210:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:0:b211::/64 | 2001:db8:0:b211:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:0:b212::/64 | 2001:db8:0:b212:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:0:b213::/64 | 2001:db8:0:b213:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:0:b214::/64 | 2001:db8:0:b214:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:0:b215::/64 | 2001:db8:0:b215:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:0:b216::/64 | 2001:db8:0:b216:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:0:b217::/64 | 2001:db8:0:b217:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:0:b218::/64 | 2001:db8:0:b218:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:0:b219::/64 | 2001:db8:0:b219:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:0:b21a::/64 | 2001:db8:0:b21a:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:0:b21b::/64 | 2001:db8:0:b21b:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:0:b21c::/64 | 2001:db8:0:b21c:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:0:b21d::/64 | 2001:db8:0:b21d:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:0:b21e::/64 | 2001:db8:0:b21e:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:0:b21f::/64 | 2001:db8:0:b21f:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:0:b220::/64 | 2001:db8:0:b220:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:0:b221::/64 | 2001:db8:0:b221:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:0:b222::/64 | 2001:db8:0:b222:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:0:b223::/64 | 2001:db8:0:b223:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:0:b224::/64 | 2001:db8:0:b224:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:0:b225::/64 | 2001:db8:0:b225:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:0:b226::/64 | 2001:db8:0:b226:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:0:b227::/64 | 2001:db8:0:b227:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:0:b228::/64 | 2001:db8:0:b228:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:0:b229::/64 | 2001:db8:0:b229:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:0:b22a::/64 | 2001:db8:0:b22a:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:0:b22b::/64 | 2001:db8:0:b22b:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:0:b22c::/64 | 2001:db8:0:b22c:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:0:b22d::/64 | 2001:db8:0:b22d:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:0:b22e::/64 | 2001:db8:0:b22e:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:0:b22f::/64 | 2001:db8:0:b22f:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:0:b230::/64 | 2001:db8:0:b230:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:0:b231::/64 | 2001:db8:0:b231:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:0:b232::/64 | 2001:db8:0:b232:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:0:b233::/64 | 2001:db8:0:b233:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:0:b234::/64 | 2001:db8:0:b234:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:0:b235::/64 | 2001:db8:0:b235:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:0:b236::/64 | 2001:db8:0:b236:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:0:b237::/64 | 2001:db8:0:b237:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:0:b238::/64 | 2001:db8:0:b238:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:0:b239::/64 | 2001:db8:0:b239:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:0:b23a::/64 | 2001:db8:0:b23a:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:0:b23b::/64 | 2001:db8:0:b23b:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:0:b23c::/64 | 2001:db8:0:b23c:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:0:b23d::/64 | 2001:db8:0:b23d:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:0:b23e::/64 | 2001:db8:0:b23e:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:0:b23f::/64 | 2001:db8:0:b23f:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:0:b240::/64 | 2001:db8:0:b240:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:0:b241::/64 | 2001:db8:0:b241:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:0:b242::/64 | 2001:db8:0:b242:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:0:b243::/64 | 2001:db8:0:b243:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:0:b244::/64 | 2001:db8:0:b244:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:0:b245::/64 | 2001:db8:0:b245:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:0:b246::/64 | 2001:db8:0:b246:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:0:b247::/64 | 2001:db8:0:b247:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:0:b248::/64 | 2001:db8:0:b248:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:0:b249::/64 | 2001:db8:0:b249:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:0:b24a::/64 | 2001:db8:0:b24a:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:0:b24b::/64 | 2001:db8:0:b24b:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:0:b24c::/64 | 2001:db8:0:b24c:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:0:b24d::/64 | 2001:db8:0:b24d:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:0:b24e::/64 | 2001:db8:0:b24e:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:0:b24f::/64 | 2001:db8:0:b24f:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:0:b250::/64 | 2001:db8:0:b250:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:0:b251::/64 | 2001:db8:0:b251:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:0:b252::/64 | 2001:db8:0:b252:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:0:b253::/64 | 2001:db8:0:b253:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:0:b254::/64 | 2001:db8:0:b254:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:0:b255::/64 | 2001:db8:0:b255:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:0:b256::/64 | 2001:db8:0:b256:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:0:b257::/64 | 2001:db8:0:b257:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:0:b258::/64 | 2001:db8:0:b258:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:0:b259::/64 | 2001:db8:0:b259:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:0:b25a::/64 | 2001:db8:0:b25a:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:0:b25b::/64 | 2001:db8:0:b25b:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:0:b25c::/64 | 2001:db8:0:b25c:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:0:b25d::/64 | 2001:db8:0:b25d:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:0:b25e::/64 | 2001:db8:0:b25e:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:0:b25f::/64 | 2001:db8:0:b25f:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:0:b260::/64 | 2001:db8:0:b260:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:0:b261::/64 | 2001:db8:0:b261:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:0:b262::/64 | 2001:db8:0:b262:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:0:b263::/64 | 2001:db8:0:b263:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:0:b264::/64 | 2001:db8:0:b264:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:0:b265::/64 | 2001:db8:0:b265:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:0:b266::/64 | 2001:db8:0:b266:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:0:b267::/64 | 2001:db8:0:b267:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:0:b268::/64 | 2001:db8:0:b268:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:0:b269::/64 | 2001:db8:0:b269:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:0:b26a::/64 | 2001:db8:0:b26a:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:0:b26b::/64 | 2001:db8:0:b26b:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:0:b26c::/64 | 2001:db8:0:b26c:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:0:b26d::/64 | 2001:db8:0:b26d:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:0:b26e::/64 | 2001:db8:0:b26e:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:0:b26f::/64 | 2001:db8:0:b26f:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:0:b270::/64 | 2001:db8:0:b270:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:0:b271::/64 | 2001:db8:0:b271:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:0:b272::/64 | 2001:db8:0:b272:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:0:b273::/64 | 2001:db8:0:b273:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:0:b274::/64 | 2001:db8:0:b274:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:0:b275::/64 | 2001:db8:0:b275:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:0:b276::/64 | 2001:db8:0:b276:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:0:b277::/64 | 2001:db8:0:b277:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:0:b278::/64 | 2001:db8:0:b278:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:0:b279::/64 | 2001:db8:0:b279:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:0:b27a::/64 | 2001:db8:0:b27a:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:0:b27b::/64 | 2001:db8:0:b27b:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:0:b27c::/64 | 2001:db8:0:b27c:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:0:b27d::/64 | 2001:db8:0:b27d:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:0:b27e::/64 | 2001:db8:0:b27e:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:0:b27f::/64 | 2001:db8:0:b27f:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:0:b280::/64 | 2001:db8:0:b280:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:0:b281::/64 | 2001:db8:0:b281:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:0:b282::/64 | 2001:db8:0:b282:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:0:b283::/64 | 2001:db8:0:b283:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:0:b284::/64 | 2001:db8:0:b284:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:0:b285::/64 | 2001:db8:0:b285:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:0:b286::/64 | 2001:db8:0:b286:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:0:b287::/64 | 2001:db8:0:b287:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:0:b288::/64 | 2001:db8:0:b288:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:0:b289::/64 | 2001:db8:0:b289:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:0:b28a::/64 | 2001:db8:0:b28a:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:0:b28b::/64 | 2001:db8:0:b28b:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:0:b28c::/64 | 2001:db8:0:b28c:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:0:b28d::/64 | 2001:db8:0:b28d:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:0:b28e::/64 | 2001:db8:0:b28e:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:0:b28f::/64 | 2001:db8:0:b28f:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:0:b290::/64 | 2001:db8:0:b290:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:0:b291::/64 | 2001:db8:0:b291:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:0:b292::/64 | 2001:db8:0:b292:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:0:b293::/64 | 2001:db8:0:b293:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:0:b294::/64 | 2001:db8:0:b294:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:0:b295::/64 | 2001:db8:0:b295:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:0:b296::/64 | 2001:db8:0:b296:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:0:b297::/64 | 2001:db8:0:b297:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:0:b298::/64 | 2001:db8:0:b298:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:0:b299::/64 | 2001:db8:0:b299:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:0:b29a::/64 | 2001:db8:0:b29a:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:0:b29b::/64 | 2001:db8:0:b29b:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:0:b29c::/64 | 2001:db8:0:b29c:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:0:b29d::/64 | 2001:db8:0:b29d:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:0:b29e::/64 | 2001:db8:0:b29e:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:0:b29f::/64 | 2001:db8:0:b29f:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:0:b2a0::/64 | 2001:db8:0:b2a0:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:0:b2a1::/64 | 2001:db8:0:b2a1:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:0:b2a2::/64 | 2001:db8:0:b2a2:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:0:b2a3::/64 | 2001:db8:0:b2a3:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:0:b2a4::/64 | 2001:db8:0:b2a4:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:0:b2a5::/64 | 2001:db8:0:b2a5:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:0:b2a6::/64 | 2001:db8:0:b2a6:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:0:b2a7::/64 | 2001:db8:0:b2a7:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:0:b2a8::/64 | 2001:db8:0:b2a8:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:0:b2a9::/64 | 2001:db8:0:b2a9:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:0:b2aa::/64 | 2001:db8:0:b2aa:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:0:b2ab::/64 | 2001:db8:0:b2ab:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:0:b2ac::/64 | 2001:db8:0:b2ac:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:0:b2ad::/64 | 2001:db8:0:b2ad:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:0:b2ae::/64 | 2001:db8:0:b2ae:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:0:b2af::/64 | 2001:db8:0:b2af:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:0:b2b0::/64 | 2001:db8:0:b2b0:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:0:b2b1::/64 | 2001:db8:0:b2b1:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:0:b2b2::/64 | 2001:db8:0:b2b2:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:0:b2b3::/64 | 2001:db8:0:b2b3:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:0:b2b4::/64 | 2001:db8:0:b2b4:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:0:b2b5::/64 | 2001:db8:0:b2b5:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:0:b2b6::/64 | 2001:db8:0:b2b6:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:0:b2b7::/64 | 2001:db8:0:b2b7:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:0:b2b8::/64 | 2001:db8:0:b2b8:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:0:b2b9::/64 | 2001:db8:0:b2b9:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:0:b2ba::/64 | 2001:db8:0:b2ba:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:0:b2bb::/64 | 2001:db8:0:b2bb:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:0:b2bc::/64 | 2001:db8:0:b2bc:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:0:b2bd::/64 | 2001:db8:0:b2bd:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:0:b2be::/64 | 2001:db8:0:b2be:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:0:b2bf::/64 | 2001:db8:0:b2bf:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:0:b2c0::/64 | 2001:db8:0:b2c0:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:0:b2c1::/64 | 2001:db8:0:b2c1:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:0:b2c2::/64 | 2001:db8:0:b2c2:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:0:b2c3::/64 | 2001:db8:0:b2c3:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:0:b2c4::/64 | 2001:db8:0:b2c4:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:0:b2c5::/64 | 2001:db8:0:b2c5:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:0:b2c6::/64 | 2001:db8:0:b2c6:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:0:b2c7::/64 | 2001:db8:0:b2c7:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:0:b2c8::/64 | 2001:db8:0:b2c8:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:0:b2c9::/64 | 2001:db8:0:b2c9:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:0:b2ca::/64 | 2001:db8:0:b2ca:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:0:b2cb::/64 | 2001:db8:0:b2cb:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:0:b2cc::/64 | 2001:db8:0:b2cc:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:0:b2cd::/64 | 2001:db8:0:b2cd:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:0:b2ce::/64 | 2001:db8:0:b2ce:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:0:b2cf::/64 | 2001:db8:0:b2cf:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:0:b2d0::/64 | 2001:db8:0:b2d0:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:0:b2d1::/64 | 2001:db8:0:b2d1:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:0:b2d2::/64 | 2001:db8:0:b2d2:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:0:b2d3::/64 | 2001:db8:0:b2d3:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:0:b2d4::/64 | 2001:db8:0:b2d4:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:0:b2d5::/64 | 2001:db8:0:b2d5:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:0:b2d6::/64 | 2001:db8:0:b2d6:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:0:b2d7::/64 | 2001:db8:0:b2d7:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:0:b2d8::/64 | 2001:db8:0:b2d8:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:0:b2d9::/64 | 2001:db8:0:b2d9:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:0:b2da::/64 | 2001:db8:0:b2da:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:0:b2db::/64 | 2001:db8:0:b2db:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:0:b2dc::/64 | 2001:db8:0:b2dc:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:0:b2dd::/64 | 2001:db8:0:b2dd:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:0:b2de::/64 | 2001:db8:0:b2de:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:0:b2df::/64 | 2001:db8:0:b2df:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:0:b2e0::/64 | 2001:db8:0:b2e0:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:0:b2e1::/64 | 2001:db8:0:b2e1:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:0:b2e2::/64 | 2001:db8:0:b2e2:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:0:b2e3::/64 | 2001:db8:0:b2e3:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:0:b2e4::/64 | 2001:db8:0:b2e4:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:0:b2e5::/64 | 2001:db8:0:b2e5:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:0:b2e6::/64 | 2001:db8:0:b2e6:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:0:b2e7::/64 | 2001:db8:0:b2e7:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:0:b2e8::/64 | 2001:db8:0:b2e8:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:0:b2e9::/64 | 2001:db8:0:b2e9:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:0:b2ea::/64 | 2001:db8:0:b2ea:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:0:b2eb::/64 | 2001:db8:0:b2eb:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:0:b2ec::/64 | 2001:db8:0:b2ec:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:0:b2ed::/64 | 2001:db8:0:b2ed:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:0:b2ee::/64 | 2001:db8:0:b2ee:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:0:b2ef::/64 | 2001:db8:0:b2ef:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:0:b2f0::/64 | 2001:db8:0:b2f0:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:0:b2f1::/64 | 2001:db8:0:b2f1:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:0:b2f2::/64 | 2001:db8:0:b2f2:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:0:b2f3::/64 | 2001:db8:0:b2f3:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:0:b2f4::/64 | 2001:db8:0:b2f4:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:0:b2f5::/64 | 2001:db8:0:b2f5:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:0:b2f6::/64 | 2001:db8:0:b2f6:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:0:b2f7::/64 | 2001:db8:0:b2f7:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:0:b2f8::/64 | 2001:db8:0:b2f8:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:0:b2f9::/64 | 2001:db8:0:b2f9:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:0:b2fa::/64 | 2001:db8:0:b2fa:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:0:b2fb::/64 | 2001:db8:0:b2fb:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:0:b2fc::/64 | 2001:db8:0:b2fc:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:0:b2fd::/64 | 2001:db8:0:b2fd:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:0:b2fe::/64 | 2001:db8:0:b2fe:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:0:b2ff::/64 | 2001:db8:0:b2ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |